Telegram APIChannels
channels.togglePreHistoryHidden
Hide/unhide message history for new channel/supergroup users
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Hide/unhide message history for new channel/supergroup users
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/channels.togglePreHistoryHidden" \ -H "Content-Type: application/json" \ -d '{ "params": { "channel": { "_": "inputChannelEmpty" }, "enabled": true } }'{ "result": { "_": "updatesTooLong" }}toggleParticipantsHidden
Hide or display the participants list in a [supergroup](https://core.telegram.org/api/channel). The supergroup must have at least hidden_members_group_size_min participants in order to use this method, as specified by the [client configuration parameters »](https://core.telegram.org/api/config#client-configuration).
toggleSignatures
Enable/disable message signatures in channels